/***********************************************************************
 *
 * linux/arch/arm/mach-ns9360/devices.c
 *
 * Copyright (C) 2005 by Sistemas Embebidos S.A and
 *                       FS Forth-Systeme GmbH
 * Digi International companies
 * All rights reserved.
 *
 * $Id: devices.c,v 1.3 2005-12-09 15:54:58 uzeisberger Exp $
 * @Author: Pedro Perez de Heredia.
 * @Description: Platforms devices for A9M9750 and A9M9360 modules.
 * @TODO:
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 ***********************************************************************/
/***********************************************************************
 *  @History:
 *     2005/06/28 : Initial version.
 *     2005/07/01 : (PPH) Added CompactFlash support.
 ***********************************************************************/


#include <linux/kernel.h>
#include <linux/types.h>
#include <linux/interrupt.h>
#include <linux/list.h>
#include <linux/timer.h>
#include <linux/init.h>
#include <linux/platform_device.h>

#include <asm/mach/arch.h>
#include <asm/mach/map.h>
#include <asm/mach/irq.h>
#include <asm/hardware.h>
#include <asm/io.h>
#include <asm/irq.h>

#include <asm/arch/a9m9xx0_ts.h>
#include <asm/arch/a9m9xx0_cf.h>

#include "devices.h"


/***********************************************************************
 * @Device: Touch Screen
 ***********************************************************************/
#if defined(CONFIG_TOUCHSCREEN_A9M9XX0) || defined(CONFIG_TOUCHSCREEN_A9M9XX0_MODULE)
static struct a9m9xx0_ts_data a9m9xx0ts_data;

void __init set_a9m9xx0ts_data( struct a9m9xx0_ts_data *hard_a9m9xx0ts_data )
{
	memcpy( &a9m9xx0ts_data, hard_a9m9xx0ts_data, sizeof( struct a9m9xx0_ts_data) );
}
EXPORT_SYMBOL(set_a9m9xx0ts_data);

struct platform_device a9m9xx0_device_ts = {
	.name		  = "a9m9xx0-ts",
	.id		  = -1,
	.dev              = {
 		.platform_data	= &a9m9xx0ts_data,
	}
};
EXPORT_SYMBOL(a9m9xx0_device_ts);
#endif /*defined(CONFIG_TOUCHSCREEN_A9M9XX0) || defined(CONFIG_TOUCHSCREEN_A9M9XX0_MODULE) */





/***********************************************************************
 * @Device: CompactFlash
 ***********************************************************************/
#if defined(CONFIG_A9M9XX0_CF) || defined(CONFIG_A9M9XX0_CF_MODULE)
static struct a9m9xx0_cf_data a9m9xx0cf_data;

void __init set_a9m9xx0cf_data( struct a9m9xx0_cf_data *hard_a9m9xx0cf_data )
{
	memcpy( &a9m9xx0cf_data, hard_a9m9xx0cf_data, sizeof( struct a9m9xx0_cf_data) );
}
EXPORT_SYMBOL(set_a9m9xx0cf_data);

static struct platform_device a9m9xx0_devide_cf = {
	.name			= "a9m9xx0-cf",
	.id			= -1,
	.dev			= {
		.platform_data	= &a9m9xx0cf_data,
	},
	.num_resources		= 0,
};
EXPORT_SYMBOL(a9m9xx0_devide_cf);
#endif /* defined(CONFIG_A9M9XX0_CF) || defined(CONFIG_A9M9XX0_CF_MODULE) */

