/*
 * arch/arm/mach-ns9xxx/mach-a9m9360.c
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */
#include <asm/mach/arch.h>
#include <asm/mach-types.h>

#include "processor-ns9360.h"
#include "board-a9m9750dev.h"
#include "board-vali.h"
#include "generic.h"

static void __init mach_a9m9360_fixup(struct machine_desc *mdesc,
		struct tag *tags, char **from, struct meminfo *meminfo)
{
	processor_ns9360_fixup();
#if defined CONFIG_A9M9_BOARD_A9M9750DEV
	board_a9m9750dev_fixup();
#elif defined CONFIG_A9M9_BOARD_VALI
	board_vali_fixup();
#endif
}

/*
 * The product's old name is a9m9360, it was renamed when FS Forth-Systeme was
 * acquired by Digi International, we're still stuck with the "traditional"
 * machine id
 */ 
MACHINE_START(A9M9360, "ConnectCore 9P 9360 on an A9M9750 Devboard")
	.map_io = ns9xxx_map_io,
	.init_irq = ns9xxx_init_irq,
	.init_machine = ns9xxx_init_machine,
	.timer = &ns9xxx_timer,
	.fixup = mach_a9m9360_fixup,
	.boot_params = 0x100,
MACHINE_END
