/*
 * arch/arm/mach-ns9xxx/mach-cc9p9750val.c
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */
#include <asm/mach/arch.h>
#include <asm/mach-types.h>

#include "processor-ns9750.h"
#include "board-vali.h"
#include "generic.h"

static void __init mach_cc9p9750val_fixup(struct machine_desc *mdesc,
		struct tag *tags, char **from, struct meminfo *meminfo)
{
	processor_ns9750_fixup();
	board_vali_fixup();
}

MACHINE_START(CC9P9750VAL, "ConnectCore 9P 9750 on a Valiboard")
	.map_io = ns9xxx_map_io,
	.init_irq = ns9xxx_init_irq,
	.init_machine = ns9xxx_init_machine,
	.timer = &ns9xxx_timer,
	.fixup = mach_cc9p9750val_fixup,
	.boot_params = 0x100,
MACHINE_END
