/*
 * arch/arm/mach-ns9xxx/mach-ccw9cdev.c
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */
#include <asm/mach/arch.h>
#include <asm/mach-types.h>

#include "processor-ns9360.h"
#include "board-jumpstart.h"
#include "generic.h"

#include <asm/page.h>
#include <asm/mach/map.h>
#include <asm/arch-ns9xxx/regs-sys.h>
#include <asm/arch-ns9xxx/board.h>

static struct map_desc module_ccw9c_io_desc[] __initdata = {
	{ /* FPGA */
		.virtual = io_p2v(0x60000000),
		.pfn = __phys_to_pfn(0x60000000),
		.length = 0x00700000,
		.type = MT_DEVICE,
	},
};

void __init module_ccw9c_map_io(void)
{
	iotable_init(module_ccw9c_io_desc,
			ARRAY_SIZE(module_ccw9c_io_desc));
}

static void __init mach_ccw9cdev_fixup(struct machine_desc *mdesc,
		struct tag *tags, char **from, struct meminfo *meminfo)
{
	module_map_io = module_ccw9c_map_io;

	processor_ns9360_fixup();
	board_jumpstart_fixup();
}

MACHINE_START(CCW9C, "ConnectCore Wi-9C on a Jumpstart Development Board")
	.map_io = ns9xxx_map_io,
	.init_irq = ns9xxx_init_irq,
	.init_machine = ns9xxx_init_machine,
	.timer = &ns9xxx_timer,
	.fixup = mach_ccw9cdev_fixup,
	.boot_params = 0x100,
MACHINE_END
