/***********************************************************************
 *
 * Copyright (C) 2005 by FS Forth-Systeme GmbH.
 * All rights reserved.
 *
 * $Id: m95640.h,v 1.1 2005-12-15 16:11:54 jjaeger Exp $
 * @Author: Joachim Jaeger
 * @Descr: M95640 EEPROM Driver defines
 * @References: [1] M95640 HW Reference 5711.pdf
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 ***********************************************************************/
 /*  @History:
 *     2005/09/28 : JJ: generated
 ***********************************************************************/


/* Commands from datasheet */

#define SPI_WREN	0x06	/* Write Enable */
#define SPI_WRDI	0x04	/* Write Disable */
#define SPI_RDSR	0x05	/* Read Status Register */
#define SPI_WRSR	0x01	/* Write Status Register */
#define SPI_READ	0x03	/* Read from Memory Area */
#define SPI_WRITE	0x02	/* Write to Memory Area */

#define WIP_MASK	0x01	/* mask for Write in Progress bit */
#define WEL_MASK	0x02	/* mask for Write Enable Latch bit */
#define SRWD_MASK	0x10	/* mask for Status Register Write Protect bit */
#define BP_MASK		0x0C	/* mask for Block Protect bits */
