/*
    spi-dev.h - spi-bus driver, char device interface

    Copyright (C) 1995-97 Simon G. Vogl
    Copyright (C) 1998-99 Frodo Looijaard <frodol@dds.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* $Id: spi-dev.h,v 1.1 2005-08-16 11:16:08 jjaeger Exp $ */

#ifndef _LINUX_SPI_DEV_H
#define _LINUX_SPI_DEV_H

#include <linux/types.h>

/* Some IOCTL commands are defined in <linux/spi.h> */

/* This is the structure as used in the SPI_XFER ioctl call */
struct spi_xfer_ioctl_data {
	struct spi_msg __user *msgs;	/* pointers to spi_msgs */
	__u32 nmsgs;			/* number of spi_msgs */
};

#define  SPI_XFER_IOCTL_MAX_MSGS	42

#endif /* _LINUX_SPI_DEV_H */
