/***********************************************************************
 *
 * linux/include/asm/arch-ns9750/uncompress.h
 *
 * Copyright (C) 2004 by FS Forth-Systeme GmbH.
 * All rights reserved.
 *
 * $Id: uncompress.h,v 1.4 2005/11/04 16:32:36 jdietsch Exp $
 * @Author: Markus Pietrek
 * @References: [1] NS9750 Hardware Reference/December 2003
 * @Descr: Runs in flat memory model before kernel is enabling MMU
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 ***********************************************************************/
#ifdef CONFIG_A9M9750DEV_BOARD
#define SERIAL_BASE ((volatile unsigned char *)0x40000000)

static __inline__ void putc(char c)
{
	int t;

	SERIAL_BASE[0] = c;
	t=0x10000;
	while (t--);
}

#else
#include <asm/arch/ns9750_ser.h>

#define CONSOLE 1
static __inline__ void putc(char c)
{
	while (!(get_ser_reg_channel(NS_SER_STAT_A, CONSOLE) & NS_SER_STAT_A_TRDY));
	get_ser_reg_channel( NS_SER_FIFO, CONSOLE ) = c;
	/* XXX */
}

#endif

static void flush()
{
}

/* nothing to do */
#define arch_decomp_setup()
#define arch_decomp_wdog()
