/*
 * linux/include/asm-arm/arch-ns9xxx/board.h
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */
#ifndef __ASM_ARCH_BOARD_H
#define __ASM_ARCH_BOARD_H

#include <linux/init.h>

#ifndef __ASSEMBLY__
/* The type of board we're running on */
extern unsigned int __board_type;

extern void __init (*board_map_io)(void);
extern void __init (*module_map_io)(void);
extern void __init (*board_init_machine)(void);
extern void __init (*board_init_irq)(void);
#endif

#define BOARD_TYPE_A9M9750DEV	0
#define BOARD_TYPE_VALI		1
#define BOARD_TYPE_JUMPSTART	2

#ifdef CONFIG_BOARD_A9M9750DEV
# ifdef board_type
#  undef board_type
#  define board_type __board_type
# else
#  define board_type		BOARD_TYPE_A9M9750DEV
# endif
# define board_is_a9m9750dev()	(board_type == BOARD_TYPE_A9M9750DEV)

# define FPGA_IRQ(x)		(IRQ_USB_FIFO + 1 + (x) )
# define IRQ_FPGA_UARTA		(FPGA_IRQ(0))
# define IRQ_FPGA_UARTB		(FPGA_IRQ(1))
# define IRQ_FPGA_UARTC		(FPGA_IRQ(2))
# define IRQ_FPGA_UARTD		(FPGA_IRQ(3))
# define IRQ_FPGA_TOUCH		(FPGA_IRQ(4))
# define IRQ_FPGA_CF		(FPGA_IRQ(5))
# define IRQ_FPGA_CAN0		(FPGA_IRQ(6))
# define IRQ_FPGA_CAN1		(FPGA_IRQ(7))

# define LAST_CPU_IRQ		IRQ_FPGA_CAN1
#else
# define board_is_a9m9750dev()	(0)
#endif

#ifdef CONFIG_BOARD_VALI
# ifdef board_type
#  undef board_type
#  define board_type __board_type
# else
#  define board_type		BOARD_TYPE_VALI
# endif
# define board_is_vali()	(board_type == BOARD_TYPE_VALI)
#else
# define board_is_vali()	(0)
#endif

#ifdef CONFIG_BOARD_JUMPSTART
# ifdef board_type
#  undef board_type
#  define board_type __board_type
# else
#  define board_type		BOARD_TYPE_JUMPSTART
# endif
# define board_is_jumpstart()	(board_type == BOARD_TYPE_JUMPSTART)
#else
# define board_is_jumpstart()	(0)
#endif

#endif /* ifndef __ASM_ARCH_BOARD_H */
