/*
 *  common/digi/helper.c
 *
 *  Copyright (C) 2007 by Digi International Inc.
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License version2  as published by
 *  the Free Software Foundation.
*/

/*
 *  !Revision:   $Revision: 1.1 $
 *  !Author:     Markus Pietrek
 *  !Descr:      Various helper stuff, like waiting for Yes Pressed etc.
*/

#include <common.h>
#if (CONFIG_COMMANDS & CFG_CMD_BSP)

#include "helper.h"

/*! \brief waits until "y" is pressed on console */
/*! \return 1 if yes is pressed otherwise 1
 */
int WaitForYesPressed( const char* szWhat )
{
        int iRes = 0;
        
        printf( "%s(y/n)\n", szWhat );
                    
        while( 1 ) {
                if( tstc() ) { 
                        if( 'y' == getc() ) {
                                iRes = 1;
                                break;
                        } else {
                                eprintf( "Updating %s aborted\n", szWhat );
                                break;
                        }
                }
        } /* while( true ) */

        return iRes;
}

#endif	/* (CONFIG_COMMANDS & CFG_CMD_BSP) */
